//
//  CountdownAppDelegate.m
//  Countdown
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import "CountdownController.h"

@implementation CountdownController

@synthesize window;
@synthesize textCountdown;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
}

- (void)awakeFromNib
{ 
    zaehler = 10;
    [textCountdown setStringValue:@""];
}


- (IBAction)startstoppTimerKlick:(id)sender
{
    if([sender state] == 1)
    {
		NSString *meinText = @"Start!";
		meinTimer = [NSTimer scheduledTimerWithTimeInterval: 1 
                                                     target:self 
                                                   selector:@selector(countdown:) 
                                                   userInfo: meinText 
                                                    repeats: YES]; 
		
		[meinTimer fire];
    }
    else
    {
        // Alternative Lösung:
		// Setze den zaehlwert wieder auf den Anfangswert,
		// wenn der Countdown angehalten wird wird.
		// zaehlwert = 12;
		
		// Prüfen ob der Speicherzeiger nicht nil ist.
		// Dann hat sich der Countdown nämlich schon von selbst angehalten
		if(meinTimer != nil)
		{
			[meinTimer invalidate];
		}		
    }
}

- (void)countdown:(NSTimer *)aTimer
{
    if(zaehler == 0)
    {
        NSString *text = [aTimer userInfo];
        [textCountdown setStringValue:text];
        [meinTimer invalidate];
    }    
    else
    {
        [textCountdown setIntValue:zaehler];
        zaehler--;
    }
}

@end
