//
//  CountdownAppDelegate.m
//  Countdown
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import "CountdownController.h"

@implementation CountdownController

@synthesize window;
@synthesize textCountdown;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Insert code here to initialize your application
}

- (void)awakeFromNib
{ 
    zaehler = 3;
    NSString *meinText = @"Start!";
    
    meinTimer = 
    [NSTimer scheduledTimerWithTimeInterval:1 
                                     target:self 
                                   selector:@selector(countdown:) 
                                   userInfo:meinText 
                                    repeats:YES]; 
    
    [meinTimer fire];
}

- (void)countdown:(NSTimer *)aTimer
{
    if(zaehler == 0)
    {
        NSString *text = [aTimer userInfo];
        [textCountdown setStringValue:text];
        [meinTimer invalidate];
    }    
    else
    {
        [textCountdown setIntValue:zaehler];
        zaehler--;
    }
}

@end
